
//These functions are entry points into the Ambarella OS, painstakenly
//reverse engineered from a RAM dump. The exact locations of these functions
//are defined in the linker script link.lds.

int printf(char* str, ...);
int fopen(char* f, char* attrs);
int fread(char *buff, int size, int nmemb, int fd);
int msleep(int ms);
volatile char* _fbAddr;

#define APPEV_MASK_TYPE			0xFFFFF000
#define APPEV_MASK_VAL			0x00000FFF
#define APPEV_TYPE_TIMER		0x000A0000
#define APPEV_TYPE_KEYPRESS		0xfffe0000
#define APPEV_TYPE_KEYRELEASE	0xfffea000
#define APPEV_KEY_UP			0x0
#define APPEV_KEY_DOWN			0x1
#define APPEV_KEY_LEFT			0x2
#define APPEV_KEY_RIGHT			0x3
#define APPEV_KEY_SELECT		0x11
#define APPEV_KEY_CONFIG		0x10
#define APPEV_KEY_TRASH			0x27
#define APPEV_KEY_VIEW			0x1C
#define APPEV_KEY_CAMERA		0xF
#define APPEV_KEY_POWER			0xA

int getAppEvent(unsigned int *event);
