#ifndef PLAYFIELD_H
#define PLAYFIELD_H

typedef struct {
	unsigned char field[10][20];
	unsigned char currBlock[4][4];
	int currBlockX, currBlockY;
} playfield_t;

void fieldClear(playfield_t *field);
int fieldIsPossible(playfield_t *field);
void fieldDup(playfield_t *dest, playfield_t *src);
void fieldRotateBlk(playfield_t *field, int dir);
void fieldSelectBlk(playfield_t *field, int blkNo);
int fieldFixBlock(playfield_t *field);

#endif